# 3.5.11. forcescheduler

resource type: forcescheduler
  Attributes:

    - all_fields[] (object)

    - builder_names[] (string) – names of the builders that this scheduler can trigger

    - button_name (string) – label of the button to use in the UI

    - label (string) – label of this scheduler to be displayed in the UI

    - name (identifier) – name of this scheduler

A forcescheduler initiates builds, via a formular in the web UI. At the moment, forceschedulers must be defined on all the masters where a web ui is configured. A particular forcescheduler runs on the master where the web request was sent.

Note

This datatype and associated endpoints will be deprecated when bug #2673 will be resolved.

## 3.5.11.1. Endpoints

path: /builders/{builderid_or_buildername}/forceschedulers
  Path Keys:

    builderid_or_buildername (number|string) – the ID or name of the builder

This path selects all force-schedulers for a given builder

`GET`
  `returns`

    `collection` of `forcescheduler`

path: /forceschedulers

This path selects all forceschedulers

`GET`
  `returns`

    `collection` of `forcescheduler`

path: /forceschedulers/{schedulername}
  Path Keys:

    schedulername (identifier) – the name of a scheduler

This path selects all changesource

`GET`
  `returns`

    `collection` of `forcescheduler`

POST with method: /forceschedulers/{schedulername} (method=force)
  Body keys:

    - method (string) – must be `force`

    - owner (string) – The user who wants to create the buildrequest

    - priority (integer) – The build request priority. Defaults to 0.

    - [] – content of the forcescheduler parameter is dependent on the configuration of the forcescheduler